aboutsummaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorRyan Moeller <[email protected]>2020-02-20 11:12:24 -0500
committerGitHub <[email protected]>2020-02-20 08:12:23 -0800
commitb11375d74a18945d247f0f98e2d599628bd26e2a (patch)
tree8e0500e3ac2b39ec9dde33703c6035f69bd300e1 /tests
parent325a551232cb714cebf167d327d512a64256bcd0 (diff)
ZTS: Check the right mount options on FreeBSD
FreeBSD does not support the "devices" and "nodevices" mount options. Do not check these options on FreeBSD. Reviewed-by: John Kennedy <[email protected]> Reviewed-by: Brian Behlendorf <[email protected]> Signed-off-by: Ryan Moeller <[email protected]> Closes #10028
Diffstat (limited to 'tests')
-rwxr-xr-xtests/zfs-tests/tests/functional/cli_root/zfs_mount/zfs_mount_007_pos.ksh18
1 files changed, 13 insertions, 5 deletions
diff --git a/tests/zfs-tests/tests/functional/cli_root/zfs_mount/zfs_mount_007_pos.ksh b/tests/zfs-tests/tests/functional/cli_root/zfs_mount/zfs_mount_007_pos.ksh
index ee5d30451..409dd06d7 100755
--- a/tests/zfs-tests/tests/functional/cli_root/zfs_mount/zfs_mount_007_pos.ksh
+++ b/tests/zfs-tests/tests/functional/cli_root/zfs_mount/zfs_mount_007_pos.ksh
@@ -62,7 +62,10 @@ log_assert "Verify '-o' will set filesystem property temporarily, " \
"without affecting the property that is stored on disk."
log_onexit cleanup
-set -A properties "atime" "devices" "exec" "readonly" "setuid"
+set -A properties "atime" "exec" "readonly" "setuid"
+if ! is_freebsd; then
+ properties+=("devices")
+fi
#
# Get the specified filesystem property reverse mount option.
@@ -78,16 +81,21 @@ function get_reverse_option
# Define property value: "reverse if value=on" "reverse if value=off"
if is_linux; then
set -A values "noatime" "atime" \
- "nodev" "dev" \
"noexec" "exec" \
"rw" "ro" \
- "nosuid" "suid"
- else
+ "nosuid" "suid" \
+ "nodev" "dev"
+ elif is_freebsd; then
set -A values "noatime" "atime" \
- "nodevices" "devices" \
"noexec" "exec" \
"rw" "ro" \
"nosetuid" "setuid"
+ else
+ set -A values "noatime" "atime" \
+ "noexec" "exec" \
+ "rw" "ro" \
+ "nosetuid" "setuid" \
+ "nodevices" "devices"
fi
typeset -i i=0